# Core lyric_naver
# This file fetches html document from naver and parse it.
#
# ChangeLog:
# 07 Feb 2007: Fixed bug when fetched html does not have 
#     canonical title and artist. (by Yeom Jaehyun)
# 07 Feb 2007: Deleted getLyricHTML def.
#
require 'net/http'
require 'uri'

module MyWeb
  # Fetch html document from url
  def MyWeb.fetchFromHttp(url)
    protocol, host, path = url.strip.scan(/([^\:]*:\/\/)([^\/]*)(.*)/)[0]
    h = Net::HTTP.new( host.untaint, 80, nil, nil)
    response = h.untaint.get(path)
    response.code == "200" ? response.body : nil
  end

  def MyWeb.encodeToUTF8(str)
    lang = `echo $LC_ALL`.downcase
    if lang.include?("utf-8") || lang.include?("utf8")
      Iconv.new('utf-8', 'euc-kr').iconv(str)
    else
      str
    end
  end

  def MyWeb.encodeToEucKr(str)
    lang = `echo $LC_ALL`.downcase
    if lang.include?("utf-8") || lang.include?("utf8")
      Iconv.new('euc-kr', 'utf-8').iconv(str)
    else
      str
    end
  end
end
